<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 11/02/2009 *
 * ===============                              Last change: 11/02/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : politician_stop_functions.php                    *
 * -------------------------------------------------------------------- *
 * Short description : Special functions for politician_stop extension  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Spezielle Funktion fuer politician_stop-Erw.     *
 * -------------------------------------------------------------------- *
 * $Revision:: 1274                                                   $ *
 * $Date:: 2009-10-30 06:12:31 +0100 (Fri, 30 Oct 2009)               $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author:: quix0r                                                   $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Loads the snippet for the politician_stop action
function loadPoliticianStopSnippet () {
	// Simply load the template here
	loadTemplate('politician_stop_snippet');
}

// Filter for displaying politician_stop snippet
function FILTER_DISPLAY_POLITICIAN_STOP_SNIPPET () {
	// Shall we include the politician_stop snippet?
	if ((!isGetRequestElementSet('frame')) && (isExtensionActive('politician_stop')) && (getModule() != 'admin') && ($GLOBALS['header_sent'] == 2)) {
		// Then display it here
		loadPoliticianStopSnippet();
	} // END - if
}

// [EOF]
?>
